Bug 275121 - No seperate setting for dpi/font size/whatever for different screens of 1 server
No seperate setting for dpi/font size/whatever for different screens of 1 server
Product: Fedora
Classification: Fedora
Component: gtk+ (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-03 08:26 EDT by erik slagter
Modified: 2008-06-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 22:19:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description erik slagter 2007-09-03 08:26:57 EDT
Description of problem:

When running with multihead configuration (multiple screens on one X server)
gnome (contrary to X itself) assumes the size of the pixels on all attached
monitors it equal, hence only one "dpi" setting. This is rarely the case. Font
sizes configured properly for screen 0 are huge on screen 1 or configured for
screen 0 are tiny/unreadable on screen 0.

Version-Release number of selected component (if applicable):

Gnome 2.8.13 F7

How reproducible:

Attach two monitor with inequal pixel size

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

I've tried all suggestions: ** The DPI probed by X is correct and indeed it
shows a different DPI for both screens. ** I also tried the Xft.dpi resource.
This resource is normally shared on all screen, but xrdb has the possibility to
set resources for a specific screen only. This would be the solution if this
mode was honoured by Xft, which it isn't, apparently Xft only uses "global"

Please note: I am not interested in having my DPI's being equal or not equal to
the physical dimensions of the screens. I've read the flames, I don't care,
that's not my problem. The problem is setting DIFFERENT dpi's for both screens,
and I don't care what exact values they are.
Comment 1 Bug Zapper 2008-05-14 10:13:25 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 22:19:02 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.